
%define name smeserver-mod_maxminddb
%define version 1.1.0
%define release 13

Summary: SME Server mod_dav implementation
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-mod_maxminddb-1.1.0-bz10759-typo.patch
Patch1: smeserver-mod_maxminddb-1.1.0-bz10759-rename.patch
Patch2: smeserver-mod_maxminddb-1.1.0-bz10759-newVariables.patch
Patch3: smeserver-mod_maxminddb-1.1.0-bz11521-sme10.patch
Patch4: smeserver-mod_maxminddb-1.1.0-allowexternalSSLAccessByCountry.patch
Patch5: smeserver-mod_maxminddb-1.1.0-bz12052-httpd24.patch

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: smeserver-release >= 9
Requires: httpd >= 2
Requires: mod_maxminddb
Requires: libmaxminddb-devel
Requires: geolite2-city
Requires: geolite2-country
BuildRequires: e-smith-devtools >= 1.13.1-03

%description
Implementation of mod_dav for SME Server 7.

%changelog
* Mon Jul 25 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.0-13.sme
- make compatible with httpd24 access  [SME: 12052]

* Fri Apr 02 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.0-11.sme
- add option to allow countries to external access to manager [SME: 10768]
  ValidFromGeoIP will add access to listed countries to managers and all
  ressources using the usual list from httpd-admin Validfrom (local ibays, contribs...)

* Fri Apr 02 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.0-10.sme
- initial import to SME 10 [SME: 11521]
- update event created

* Thu Apr 11 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-7.sme
- fix missing db on installation [SME: 10770]

* Thu Mar 14 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-6.sme
- configure necessary variables [SME: 10759]

* Wed Mar 13 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-4.sme
- fix typo [SME: 10759]
- add requires mod_maxminddb
- rename template 

* Tue Mar 12 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-1.sme
- Initial version [SME: 10759]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks

%install
rm -rf %buildroot
(cd root ; find . -depth -print | cpio -dump %buildroot)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist %buildroot \
    --dir /var/run/davLocks 'attr(0755,www,www)' \
    > %{name}-%{version}-filelist

%clean
rm -rf %buildroot

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
